<form (ngSubmit)="register()" [formGroup]="registerForm">
    <div class="ui-inputgroup">
        <span class="ui-inputgroup-addon"><i class="pi pi-user"></i></span>
        <input type="text" pInputText placeholder="Identifiant" formControlName="username">
    </div>
    <p class="error-message" *ngIf="usernameCtrl.touched && usernameCtrl.hasError('required')">Merci de renseigner un identifiant</p>       
    <div class="group-input" formGroupName="emailForm">
        <div class="ui-inputgroup">
            <span class="ui-inputgroup-addon"><i class="pi pi-inbox"></i></span>
            <input type="email" pInputText placeholder="Adresse e-mail" formControlName="email">         
        </div>
        <p class="error-message" *ngIf="emailCtrl.touched && emailCtrl.hasError('required')">Merci de renseigner une adresse e-mail</p>       
        <p class="error-message" *ngIf="emailCtrl.dirty && emailCtrl.hasError('email')">Merci de renseigner une adresse e-mail valide</p>       
        <div class="ui-inputgroup">
            <span class="ui-inputgroup-addon"><i class="pi pi-inbox"></i></span>
            <input type="email" pInputText placeholder="Confirmer email" formControlName="confirmEmail">
        </div>
        <p class="error-message" *ngIf="emailForm.dirty && emailForm.hasError('matchingError')">Les deux adresses renseignées sont différentes</p>
    </div>
    <div class="group-input" formGroupName="passwordForm">
        <div class="ui-inputgroup">
            <span class="ui-inputgroup-addon"><i class="pi pi-key"></i></span>
            <input type="password" pInputText placeholder="Mot de passe" formControlName="password">
        </div>
        <p class="error-message" *ngIf="passwordCtrl.touched && passwordCtrl.hasError('required')">Merci de renseigner un mot de passe</p>       
        <div class="ui-inputgroup">
            <span class="ui-inputgroup-addon"><i class="pi pi-key"></i></span>
            <input type="password" pInputText placeholder="Confirmer mot de passe" formControlName="confirmPassword">
        </div>
        <p class="error-message" *ngIf="passwordForm.dirty && passwordForm.hasError('matchingError')">Les deux adresses renseignées sont différentes</p>
    </div>
    <div class="buttons">
        <button pButton type="button" (click)="cancel()" label="Annuler"></button>
        <button pButton type="submit" label="Inscription" [disabled]="registerForm.invalid"></button>
    </div><!--class="buttons"-->
</form>
